package com.zfire.jiasm.syncdata.service;

import com.zfire.jiasm.syncdata.plus.entity.SyncQuerySettlementStatus;
import com.zfire.jiasm.syncdata.plus.entity.TableDataQueryTime;
import com.zfire.jiasm.syncdata.plus.entity.TblAddUploadList;
import com.zfire.jiasm.syncdata.plus.entity.TblAzwgmxUpload;

public interface OtherDownService {
    void dealWithTableDataQueryTime(TableDataQueryTime item) throws Exception;
    void notificationQueryDown(TableDataQueryTime item) throws Exception;
    void specialInstallQueryDown(TableDataQueryTime item) throws Exception;
    void tblAzwgmxKjmmQueryDown(TableDataQueryTime item) throws Exception;
    void tblAzwgmxKqcjsjQueryDown(TableDataQueryTime item) throws Exception;

    void detailRefunds(TableDataQueryTime item) throws Exception;
    void accessories(TableDataQueryTime item) throws Exception;
    void detailJD(TableDataQueryTime item) throws Exception;
    void detailMessage(TableDataQueryTime item) throws Exception;


    void uploadDatakqaz(TblAzwgmxUpload item) throws Exception;
    void uploadDataKjmm(TblAzwgmxUpload item) throws Exception;
    void uploadDatacjsj(TblAzwgmxUpload item) throws Exception;

    void addKqaz(TblAddUploadList item) throws Exception;
    void addCjsj(TblAddUploadList item) throws Exception;
    void addKjmm(TblAddUploadList item) throws Exception;
    void addFeedBack(TblAddUploadList item) throws Exception;
    void addRepairSettlement(TblAddUploadList item) throws Exception;

    void addRefunds(TblAddUploadList item) throws Exception;
    void updateRefunds(TblAddUploadList item) throws Exception;
    void feedback(TblAddUploadList item) throws Exception;

    void repairSettlementStatus(SyncQuerySettlementStatus item) throws Exception;
    void installSettlementStatus(SyncQuerySettlementStatus item) throws Exception;

    void addAcquisition(TblAddUploadList item) throws Exception;
    void addSolidAcquisition(TblAddUploadList item) throws Exception;



}
